## com.imcode.imcms.servlet.admin
Class ImageBrowse

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.imcode.imcms.servlet.admin.ImageBrowse

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class ImageBrowse

extends javax.servlet.http.HttpServlet

Browse images in image-directory.

See Also:
  Serialized Form

Nested Class Summary
`static class` `ImageBrowse.ImageBrowserPage`

Field Summary
`static java.lang.String` `REQUEST_PARAMETER__CANCEL_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__CHANGE_DIRECTORY_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__FILE`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE_DIRECTORY`
`static java.lang.String` `REQUEST_PARAMETER__IMAGE_URL`
`static java.lang.String` `REQUEST_PARAMETER__LABEL`
`static java.lang.String` `REQUEST_PARAMETER__OK_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__PREVIEW_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__UPLOAD_BUTTON`

Constructor Summary
`ImageBrowse()`

Method Summary
`static void` `browse(java.lang.String imageUrl, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__OK_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__OK_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__PREVIEW_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__PREVIEW_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CANCEL_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__CANCEL_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CHANGE_DIRECTORY_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__CHANGE_DIRECTORY_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE_URL

    public static final java.lang.String REQUEST_PARAMETER__IMAGE_URL

See Also:
  Constant Field Values

### REQUEST_PARAMETER__IMAGE_DIRECTORY

    public static final java.lang.String REQUEST_PARAMETER__IMAGE_DIRECTORY

See Also:
  Constant Field Values

### REQUEST_PARAMETER__LABEL

    public static final java.lang.String REQUEST_PARAMETER__LABEL

See Also:
  Constant Field Values

### REQUEST_PARAMETER__UPLOAD_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__UPLOAD_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__FILE

    public static final java.lang.String REQUEST_PARAMETER__FILE

See Also:
  Constant Field Values

Constructor Detail

### ImageBrowse

    public ImageBrowse()

Method Detail

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### browse

    public static void browse(java.lang.String imageUrl,
                              javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws javax.servlet.ServletException,
                              java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`